Bug 71621 - [REGRESSION] generated content based on attribute selectors is incorrectly applied with inline elements
Summary: [REGRESSION] generated content based on attribute selectors is incorrectly ap...
Status: UNCONFIRMED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
: 76178 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-05 19:58 PDT by Philippe Wittenbergh
Modified: 2012-01-14 03:12 PST (History)
2 users (show)

See Also:


Attachments
test case (1.21 KB, text/html)
2011-11-05 19:58 PDT, Philippe Wittenbergh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Wittenbergh 2011-11-05 19:58:09 PDT
Created attachment 113777 [details]
test case

Tested on OS X 10.6.8

Given this rule set:
a[href$=".pdf"]::after {
margin: 0 0 0 3px;
padding: 0 1px;
content: '[PDF]';
}

The generated content is applied to ALL links, if the 1st link is a link to a PDF file. If the PDF link is not the 1st one in the block, then the generated content is not applied.

Inspecting the links shows that the generated content is applied correctly. An now for the most weird part - inspecting the link makes the GC being painted correctly…

STR:
1. view test case, notice that all links in parag. 1 and 2 have [PDF] appended (the second ones should not).
2. Inspect the second links - the Inspector reports the styling correctly (no GC), and suddenly the link has no [PDF] appended.


This is a regression from Safari 5.1.1 (works correcly), and goes back at least to r96897. Chrome dev channel (17.0.928.0 dev) exhibits the same issue (not unexpectedly) but Chrome release (15.0.874.106) works.
Comment 1 sixcorners 2012-01-13 03:32:25 PST
*** Bug 76178 has been marked as a duplicate of this bug. ***
Comment 2 sixcorners 2012-01-14 03:12:54 PST
Shouldn't this big have the letters CSS or something in it? I think that's why I wasn't able to find it when I made my bug report.